<?php

declare(strict_types=1);

namespace App\Controller\Testimonio;

use App\Service\TestimonioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTestimonioService(): TestimonioService
    {
        return $this->container->get('Testimonio_service');
    }
}
